Bullet Collision Detection & Physics Library: btMultiBodyWorldImporter.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
btMultiBodyWorldImporter.cpp File Reference
`#include "btMultiBodyWorldImporter.h"`
`#include "LinearMath/btSerializer.h"`
`#include "../BulletFileLoader/btBulletFile.h"`
`#include "btBulletWorldImporter.h"`
`#include "btBulletDynamicsCommon.h"`
`#include "BulletDynamics/Featherstone/btMultiBody.h"`
`#include "BulletDynamics/Featherstone/btMultiBodyDynamicsWorld.h"`
`#include "BulletDynamics/Featherstone/btMultiBodyLinkCollider.h"`
Include dependency graph for btMultiBodyWorldImporter.cpp:

Go to the source code of this file.

## Classes
struct | btMultiBodyWorldImporterInternalData

## Functions
static btCollisionObjectDoubleData * | getBody0FromContactManifold (btPersistentManifoldDoubleData *manifold)
static btCollisionObjectDoubleData * | getBody1FromContactManifold (btPersistentManifoldDoubleData *manifold)
static btCollisionObjectFloatData * | getBody0FromContactManifold (btPersistentManifoldFloatData *manifold)
static btCollisionObjectFloatData * | getBody1FromContactManifold (btPersistentManifoldFloatData *manifold)
template<class T >
void | syncContactManifolds (T **contactManifolds, int numContactManifolds, btMultiBodyWorldImporterInternalData *m_data)
template<class T >
void | syncMultiBody (T *mbd, btMultiBody *mb, btMultiBodyWorldImporterInternalData *m_data, btAlignedObjectArray< btQuaternion > &scratchQ, btAlignedObjectArray< btVector3 > &scratchM)
template<class T >
void | convertMultiBody (T *mbd, btMultiBodyWorldImporterInternalData *m_data)

## Function Documentation

## ◆ convertMultiBody()

template<class T >

void convertMultiBody | ( | T * | mbd,
|  | btMultiBodyWorldImporterInternalData * | m_data
| ) |  |

Definition at line 175 of file btMultiBodyWorldImporter.cpp.

## ◆ getBody0FromContactManifold() [1/2]

static btCollisionObjectDoubleData * getBody0FromContactManifold | ( | btPersistentManifoldDoubleData * | manifold | ) |
| static

Definition at line 34 of file btMultiBodyWorldImporter.cpp.

## ◆ getBody0FromContactManifold() [2/2]

static btCollisionObjectFloatData * getBody0FromContactManifold | ( | btPersistentManifoldFloatData * | manifold | ) |
| static

Definition at line 42 of file btMultiBodyWorldImporter.cpp.

## ◆ getBody1FromContactManifold() [1/2]

static btCollisionObjectDoubleData * getBody1FromContactManifold | ( | btPersistentManifoldDoubleData * | manifold | ) |
| static

Definition at line 38 of file btMultiBodyWorldImporter.cpp.

## ◆ getBody1FromContactManifold() [2/2]

static btCollisionObjectFloatData * getBody1FromContactManifold | ( | btPersistentManifoldFloatData * | manifold | ) |
| static

Definition at line 46 of file btMultiBodyWorldImporter.cpp.

## ◆ syncContactManifolds()

template<class T >

void syncContactManifolds | ( | T ** | contactManifolds,
|  | int | numContactManifolds,
|  | btMultiBodyWorldImporterInternalData * | m_data
| ) |  |

Definition at line 52 of file btMultiBodyWorldImporter.cpp.

## ◆ syncMultiBody()

template<class T >

void syncMultiBody | ( | T * | mbd,
|  | btMultiBody * | mb,
|  | btMultiBodyWorldImporterInternalData * | m_data,
|  | btAlignedObjectArray< btQuaternion > & | scratchQ,
|  | btAlignedObjectArray< btVector3 > & | scratchM
| ) |  |

Definition at line 107 of file btMultiBodyWorldImporter.cpp.